Scanner API Reference
| Field | Value |
|---|---|
| Source spec | scanner/openapi/witness-records.v1.json |
| OpenAPI version | 3.1.1 |
| API version | 1.0.0 |
| Operations | 4 |
| Path filter | All paths |
Operations
GET /api/v1/witnesses
| Property | Value |
|---|---|
| Operation ID | scanner.witnesses.list |
| Tags | WitnessEndpoints |
| Auth | Not declared |
| Request body | - |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
400 | Bad Request | application/problem+json |
GET /api/v1/witnesses/by-hash/{witnessHash}
| Property | Value |
|---|---|
| Operation ID | scanner.witnesses.get-by-hash |
| Tags | WitnessEndpoints |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
witnessHash | path | yes |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
400 | Bad Request | application/problem+json |
404 | Not Found | - |
GET /api/v1/witnesses/{witnessId}
| Property | Value |
|---|---|
| Operation ID | scanner.witnesses.get |
| Tags | WitnessEndpoints |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
witnessId | path | yes |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
400 | Bad Request | application/problem+json |
404 | Not Found | - |
POST /api/v1/witnesses/{witnessId}/verify
| Property | Value |
|---|---|
| Operation ID | scanner.witnesses.verify |
| Tags | WitnessEndpoints |
| Auth | Not declared |
| Request body | - |
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
witnessId | path | yes |
Responses:
| Status | Description | Content types |
|---|---|---|
200 | OK | application/json |
400 | Bad Request | application/problem+json |
404 | Not Found | - |
